#!/bin/bash
#
# Create an archive of the dependencies to create an AWS Lambda Layer.
####

readonly NODEJS="nodejs";
readonly MODULES="node_modules";
readonly DIST="dist";
readonly OUTPUT="nshmp-haz-s3-dependencies.zip";

# Make dist directory
if [ ! -d ${DIST} ]; then
  mkdir ${DIST};
fi

# Make nodejs directory
mkdir ${NODEJS};

# Build dependencies
npm i;

# Copy dependencies
cp -r ${MODULES} ${NODEJS}/.;

# zip depdendencies
zip -r ${DIST}/${OUTPUT} ${NODEJS};

# Clean
rm -r ${NODEJS};
