import * as AWS from 'aws-sdk';

import { LambdaTriggerConfig } from './lambda-trigger-config';

/**
 * Config for the Lambda function.
 */
export class LambdaConfig {
  nshmp = new NshmpLambdaConfig();
  ec2 = new EC2LambdaConfig();
  triggerConfig: LambdaTriggerConfig;
  rawTriggerConfig: string;
  triggerFileName: string;
  jobId: string;
}

export class NshmpLambdaConfig {
  snsTopic: AWS.SNS.Topic;
}

export class EC2LambdaConfig {
  ec2ImageId: string;
  ec2InstanceProfile: string;
  ec2UserDataContents: string;
}
